import { JSEncrypt } from 'jsencrypt';
let publicKey = 'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDMOcPB06u5yKyQsPjfVWiWgbEIrd14kiXNNihciaVKb6HnkQvq7zpQuZ80WEX94spnUMI3iOAl/GmIvHrpGwcbB4hJbznm+PajiwnUSPuCCXA68YJF640cJKb/8KeM7WVz69OFkIEPHhVxOy4FFF5QWe/kt6zOZ19HmE+ak+5x/QIDAQAB'
let privateKey = '这里是封装的私钥'
//加密方法
export function RSAencrypt(pas) {
    //实例化jsEncrypt对象
    let jse = new JSEncrypt();
    //设置公钥
    jse.setPublicKey(publicKey);
    console.log('加密：' + jse.encrypt(pas))
    return jse.encrypt(pas);
}

//解密方法
export function RSAdecrypt(pas) {
    let jse = new JSEncrypt();
    // 私钥
    jse.setPrivateKey(privateKey)
    console.log('解密：' + jse.decrypt(pas))
    return jse.decrypt(pas);
}

